curl --request DELETE \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.delete_workflow_channel(
request=DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest
async def delete_workflow_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.delete_workflow_channel_async(
request=DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(delete_workflow_channel())
{}
Workflow
Delete workflow notification channel
Delete workflow-scoped notification channel.
DELETE
/
api
/
v1
/
workflows
/
{workflow_id}
/
notifications
/
channels
/
{channel_id}
curl --request DELETE \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.delete_workflow_channel(
request=DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest
async def delete_workflow_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.delete_workflow_channel_async(
request=DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(delete_workflow_channel())
{}
Deleting a workflow-scoped notification channel is a permanent action and is not recoverable.
Path parameters
The unique identifier of the workflow.
The unique identifier of the notification channel to delete.
curl --request DELETE \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.delete_workflow_channel(
request=DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest
async def delete_workflow_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.delete_workflow_channel_async(
request=DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(delete_workflow_channel())
{}
Was this page helpful?
⌘I

